AOZ Studio Beta - Bug #69

Flash fails to compile with type mismatch
01/22/2020 04:19 AM - Brian Flanagan

Status: Closed Start date: 01/22/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.5

Description

Example:

Flash 0,"(ff0,3)(f80,2)(102,3)"
Type mismatch occurs at the first comma, so won't compile.
Even trying a simpler flashing sequence also fails:

Flash 2,"(FFF,15)(000,15)"

History

#1 - 01/22/2020 11:05 PM - Baptiste Pillot

- Assignee set to Francois Lionet

#2 - 01/23/2020 08:14 PM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/434
e compile error :

main.aoz:2:7: error: type mismatch

main.aoz:1:1: Compiler error: crash during compilation: pass: 1
typeerror: cannot read property 'codeinline' of undefined
Internal error

Error during compilation

AOZ Transpiler Version 0.9.3.1 - 21/01/2020

By Francois 'Amos' Lionet (c) AOZ Studio 2019

Website: https://aoz.studio

Support the project on Patreon: http://www.patreon.com/francoislionet
PATH->Z:/home/amos2/compiler/0.9.3.1/languages

Removing directory: /home/amos2/ide/input/tickleman/69/html

Compiling /home/amos2/ide/input/tickleman/69, emulation: PC, speed: fast.
First pass...

main.aoz:2:7: error: type mismatch

main.aoz:1:1: Compiler error: crash during compilation: pass: 1
cannot read property 'codeinline' of undefined

typeerror: cannot read property 'codeinline' of undefined

at firstpass (c:\snapshot\compiler\compiler.js)

at object.compile (c:\snapshot\compiler\compiler.js)

at compile (c:\snapshot\compiler\aoz.js)

at aoz (c:\snapshot\compiler\aoz.Jjs)

at object. (c:\snapshot\compiler\aoz.js)

at module._compile (pkg/prelude/bootstrap.js:1261:22)

at object.module._extensions..Jjs (internal/modules/cjs/loader.js:993:10)
at module.load (internal/modules/cjs/loader.js:813:32)

at function.module._load (internal/modules/cjs/loader.js:725:14)

at function.module.runmain (pkg/prelude/bootstrap.js:1316:12)
Internal error

Task failed, no code generated...

#3 - 02/03/2020 06:20 PM - Francois Lionet
https://www.amos2.fr/ide/Amos2/Ide/Program/434

- Status changed from New to Resolved

- Target version set to 0.9.4

Not implemented (tomorrow) but the instruction does not crash the compiler anymore...

#4 - 02/28/2020 02:39 PM - Brian Flanagan
- Status changed from Resolved to Closed

- Affected version changed from 0.9.3 to 0.9.5

Tested in 0.9.5.1. Compiles, but does not function.
Opening new ticket: Flash compiles, but does not function.
